<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * Copyright (c) 2018. Lorem ipsum dolor sit amet, consectetur adipiscing elit.
 * Morbi non lorem porttitor neque feugiat blandit. Ut vitae ipsum eget quam lacinia accumsan.
 * Etiam sed turpis ac ipsum condimentum fringilla. Maecenas magna.
 * Proin dapibus sapien vel ante. Aliquam erat volutpat. Pellentesque sagittis ligula eget metus.
 * Vestibulum commodo. Ut rhoncus gravida arcu.
 */

require_once dirname(__FILE__) . '/tcpdf/tcpdf.php';

class Pdf extends TCPDF
{
    public $periodo = '';
    public $titulo = '';
    public $enzabezado = '';
    public $CI;
    private $data = array();

    function __construct()
    {
        #$this->CI =& get_instance();
        parent::__construct();
        #$this->periodo=$this->CI->session->userdata('periodo_rep');
        $this->enzabezado = '';
    }

    //Page header
    public function Header()
    {
        $this->SetFont('times', 'B', 11);
        $this->writeHTML($this->encabezado, true, false, true, false, '');
    }

    // Page footer
    public function Footer()
    {
        // Position at 15 mm from bottom
        $this->SetY(-15);
        // Set font
        $this->SetFont('helvetica', 'I', 8);
        // Page number
        $this->Cell(0, 10, 'Page ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
        $this->Cell(0, 10, 'SigNom V. 1.0 - Prointel Putumayo', 0, false, 'R', 0, '', 0, false, 'T', 'M');
    }
}
